<?php

namespace itguild\forms\app\core;

use itguild\forms\debug\Debug;

class CGDTO
{

    protected array $fillable = [];

    public function load(array $params): void
    {

        foreach ($this->fillable as $item) {
            if (isset($params[$item])) {

                $this->$item = $params[$item];
            }
        }
    }

    public function get(string $name)
    {
        if (!empty($this->$name))
        {
            return $this->$name;
        }

        return null;
    }

}